aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIsaac Yu <isaacyu@protonmail.com>2024-06-12 23:54:30 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-06-15 07:37:47 +0700
commita13eaba01d8cbc334748fcaad8f84227f8b56a38 (patch)
tree1d54741a8738e781f6b02016c10bd503df8fa166
parent17fb7a7a9cce658736fd8796cc6b305d25967e92 (diff)
system/grub2-theme-mint: Added (grub theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/grub2-theme-mint/README10
-rw-r--r--system/grub2-theme-mint/grub2-theme-mint.SlackBuild72
-rw-r--r--system/grub2-theme-mint/grub2-theme-mint.info10
-rw-r--r--system/grub2-theme-mint/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/system/grub2-theme-mint/README b/system/grub2-theme-mint/README
new file mode 100644
index 000000000000..a938c13c3fb0
--- /dev/null
+++ b/system/grub2-theme-mint/README
@@ -0,0 +1,10 @@
+This is the GRUB 2 theme for Linux Mint.
+
+After installing grub2-theme-mint, please add the following lines to
+/etc/default/grub:
+GRUB_FONT="/boot/grub/fonts/UbuntuMono16.pf2"
+GRUB_THEME="/boot/grub/themes/linuxmint/theme.txt"
+
+Note that the Ubuntu font provided by the source tarball may display
+glyphs incorrectly. Other fonts (ex. Dejavu Sans Mono, GNU Unifont)
+may be a better choice.
diff --git a/system/grub2-theme-mint/grub2-theme-mint.SlackBuild b/system/grub2-theme-mint/grub2-theme-mint.SlackBuild
new file mode 100644
index 000000000000..ff2d1983e6db
--- /dev/null
+++ b/system/grub2-theme-mint/grub2-theme-mint.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/bash
+
+# Slackware build script for grub2-theme-mint
+
+# Copyright 2024 Isaac Yu <isaacyu@protonmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=grub2-theme-mint
+VERSION=${VERSION:-1.2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM"_"$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/boot/grub/fonts
+cp boot/grub/fonts/UbuntuMono16.pf2 $PKG/boot/grub/fonts/UbuntuMono16.pf2
+
+mkdir -p $PKG/boot/grub/themes
+cp -r boot/grub/themes/linuxmint $PKG/boot/grub/themes
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/grub2-theme-mint/grub2-theme-mint.info b/system/grub2-theme-mint/grub2-theme-mint.info
new file mode 100644
index 000000000000..e886c75246ee
--- /dev/null
+++ b/system/grub2-theme-mint/grub2-theme-mint.info
@@ -0,0 +1,10 @@
+PRGNAM="grub2-theme-mint"
+VERSION="1.2.3"
+HOMEPAGE="http://packages.linuxmint.com/pool/main/g/grub2-theme-mint/"
+DOWNLOAD="http://packages.linuxmint.com/pool/main/g/grub2-theme-mint/grub2-theme-mint_1.2.3.tar.gz"
+MD5SUM="86bc16ad6196fdc3e5f030e9b5b9c29f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu@protonmail.com"
diff --git a/system/grub2-theme-mint/slack-desc b/system/grub2-theme-mint/slack-desc
new file mode 100644
index 000000000000..d55131b197d5
--- /dev/null
+++ b/system/grub2-theme-mint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+grub2-theme-mint: grub2-theme-mint (GRUB 2 theme for Linux Mint)
+grub2-theme-mint:
+grub2-theme-mint: This is the GRUB 2 theme for Linux Mint.
+grub2-theme-mint:
+grub2-theme-mint:
+grub2-theme-mint:
+grub2-theme-mint:
+grub2-theme-mint:
+grub2-theme-mint:
+grub2-theme-mint:
+grub2-theme-mint: